﻿Imports System.Text

Public Class frmConverter

    Private Sub btnExit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnExit.Click
        System.Environment.Exit(0)
    End Sub

    Private Function LMVToProp(ByVal lmv As Decimal) As Decimal
        Return ((lmv / 300) * 250) - 250
    End Function

    Private Function PropToLMV(ByVal prop As Decimal) As Decimal
        Return ((prop + 250) / 250) * 300
    End Function

    Private Sub btnConvert_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnConvert.Click
        Convert()
    End Sub

    Private Sub Convert()
        Dim Result As StringBuilder = New StringBuilder

        If txtValues.TextLength > 0 Then
            For Each Line As String In txtValues.Lines
                Dim ConvertedValue As Decimal

                If Line.Length > 0 Then
                    Try
                        If optLMVToProp.Checked Then
                            ConvertedValue = LMVToProp(Decimal.Parse(Line))
                        Else
                            ConvertedValue = PropToLMV(Decimal.Parse(Line))
                        End If

                        Result.AppendLine(Line + " --> " + String.Format("{0:f2}", ConvertedValue))
                    Catch ex As FormatException
                        Result.AppendLine(Line + " --> Error!")
                    End Try
                End If
            Next

            txtResult.Text = Result.ToString
        Else
            txtResult.Clear()
        End If

    End Sub
End Class
